# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fftviz"
version = "0.1.1"
authors = ["Gursimar Singh <gursi26.dev@gmail.com>"]
description = "A quick FFT visualizer for audio files"
homepage = "https://github.com/gursi26/fftviz"
readme = "README.md"
keywords = ["cli"]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/gursi26/fftviz"

[dependencies.bincode]
version = "1.3.3"

[dependencies.clap]
version = "4.5.0"
features = ["derive"]

[dependencies.raylib]
version = "3.7.0"

[dependencies.rayon]
version = "1.9.0"

[dependencies.rodio]
version = "0.17.3"

[dependencies.serde]
version = "1.0.197"
features = ["derive"]

[dependencies.spectrum-analyzer]
version = "1.5.0"
